<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLibEditor.TriLibAssetEditor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_editor_1_1_tri_lib_asset_editor.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_tri_lib_editor_1_1_tri_lib_asset_editor-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLibEditor.TriLibAssetEditor Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for TriLibEditor.TriLibAssetEditor:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_editor_1_1_tri_lib_asset_editor.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abce94c136911f9b7aab1886fbb2a067c"><td class="memItemLeft" align="right" valign="top"><a id="abce94c136911f9b7aab1886fbb2a067c" name="abce94c136911f9b7aab1886fbb2a067c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnPrefabCreated</b> (GameObject createdPrefab)</td></tr>
<tr class="separator:abce94c136911f9b7aab1886fbb2a067c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbc96e9a09353a14bcba820d9da7f945"><td class="memItemLeft" align="right" valign="top"><a id="adbc96e9a09353a14bcba820d9da7f945" name="adbc96e9a09353a14bcba820d9da7f945"></a>
override bool&#160;</td><td class="memItemRight" valign="bottom"><b>HasPreviewGUI</b> ()</td></tr>
<tr class="separator:adbc96e9a09353a14bcba820d9da7f945"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa362638f1eeae8ca89dda006e0f559b9"><td class="memItemLeft" align="right" valign="top"><a id="aa362638f1eeae8ca89dda006e0f559b9" name="aa362638f1eeae8ca89dda006e0f559b9"></a>
override void&#160;</td><td class="memItemRight" valign="bottom"><b>OnInspectorGUI</b> ()</td></tr>
<tr class="separator:aa362638f1eeae8ca89dda006e0f559b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56f56be49ded0bcb4c057fa5318a139e"><td class="memItemLeft" align="right" valign="top"><a id="a56f56be49ded0bcb4c057fa5318a139e" name="a56f56be49ded0bcb4c057fa5318a139e"></a>
override void&#160;</td><td class="memItemRight" valign="bottom"><b>OnInteractivePreviewGUI</b> (Rect rect, GUIStyle background)</td></tr>
<tr class="separator:a56f56be49ded0bcb4c057fa5318a139e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:accba990df0370cfc5ff543de0c1021ce"><td class="memItemLeft" align="right" valign="top"><a id="accba990df0370cfc5ff543de0c1021ce" name="accba990df0370cfc5ff543de0c1021ce"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnable</b> ()</td></tr>
<tr class="separator:accba990df0370cfc5ff543de0c1021ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1acf14f1f7533e34069ca56957307bfd"><td class="memItemLeft" align="right" valign="top"><a id="a1acf14f1f7533e34069ca56957307bfd" name="a1acf14f1f7533e34069ca56957307bfd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnDisable</b> ()</td></tr>
<tr class="separator:a1acf14f1f7533e34069ca56957307bfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a691205fe4733720c25a7361b03df2d59"><td class="memItemLeft" align="right" valign="top"><a id="a691205fe4733720c25a7361b03df2d59" name="a691205fe4733720c25a7361b03df2d59"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnDestroy</b> ()</td></tr>
<tr class="separator:a691205fe4733720c25a7361b03df2d59"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:afb4d8b923cd1ff44b8e62a9359d20079"><td class="memItemLeft" align="right" valign="top"><a id="afb4d8b923cd1ff44b8e62a9359d20079" name="afb4d8b923cd1ff44b8e62a9359d20079"></a>
static <a class="el" href="class_tri_lib_editor_1_1_tri_lib_asset_editor.html">TriLibAssetEditor</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Active</b><code> [get]</code></td></tr>
<tr class="separator:afb4d8b923cd1ff44b8e62a9359d20079"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad72b409320881ca85500f85969353818"><td class="memItemLeft" align="right" valign="top"><a id="ad72b409320881ca85500f85969353818" name="ad72b409320881ca85500f85969353818"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>AssetPath</b><code> [get]</code></td></tr>
<tr class="separator:ad72b409320881ca85500f85969353818"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Editor/<a class="el" href="_tri_lib_asset_editor_8cs.html">TriLibAssetEditor.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib_editor.html">TriLibEditor</a></li><li class="navelem"><a class="el" href="class_tri_lib_editor_1_1_tri_lib_asset_editor.html">TriLibAssetEditor</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
